FilePropertyDescriptor (install4j API)
Date: 2009-06-17

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.beaninfo
Class FilePropertyDescriptor

    java.lang.Object
      java.beans.FeatureDescriptor
          java.beans.PropertyDescriptor
              com.install4j.api.beaninfo.Install4JPropertyDescriptor
                  com.install4j.api.beaninfo.FilePropertyDescriptor

    public class FilePropertyDescriptor

extends Install4JPropertyDescriptor

Property descriptor for properties of type `java.io.File` and `com.install4j.api.beans.ExternalFile`.

Using this class is not strictly required. In principle, you could also set values for the `ATTRIBUTE_*` constants in the property descriptor of an unrelated property descriptor class.

See Also:
  `ExternalFile`

Field Summary
`static java.lang.String` | `ATTRIBUTE_FILTER_NAME`
`static java.lang.String` | `ATTRIBUTE_SELECTION_MODE`
`static java.lang.String` | `ATTRIBUTE_SUFFIXES`
`static java.lang.String` | `CONTEXT_EXTERNAL_OR_INTERNAL` Special context for properties of type `com.install4j.api.beansExternalFile` that tells the install4j GUI to offer the user the possibility to select a file from the distribution tree instead.

Fields inherited from class com.install4j.api.beaninfo.Install4JPropertyDescriptor
`ATTRIBUTE_CONTEXT, ATTRIBUTE_PARENT_PROPERTY, ATTRIBUTE_PROPERTY_CATEGORY, ATTRIBUTE_PROPERTY_CHANGE_LISTENER, ATTRIBUTE_SORT_KEY, ATTRIBUTE_VISIBILITY_DISCRIMINATOR, CATEGORY_CONFIGURATION, CONTEXT_DATETIME, CONTEXT_HTML, CONTEXT_LAUNCHER_ID, CONTEXT_MULTILINE, CONTEXT_NON_SERVICE_LAUNCHER_ID, CONTEXT_SERVICE_LAUNCHER_ID, CONTEXT_STRING_TO_STRING_MAP`

Method Summary
`static FilePropertyDescriptor` | `create(java.lang.String propertyName, java.lang.Class beanClass, java.lang.String displayName, java.lang.String shortDescription, FileSelectionMode selectionMode)` Same as `create(String, Class, String, String, FileSelectionMode, String[], String, String)` with `suffixes`, `filterName` and `context` set to `null`.
`static FilePropertyDescriptor` | `create(java.lang.String propertyName, java.lang.Class beanClass, java.lang.String displayName, java.lang.String shortDescription, FileSelectionMode selectionMode, java.lang.String context)` Same as `create(String, Class, String, String, FileSelectionMode, String[], String, String)` with `suffixes` and `filterName` set to `null`.
`static FilePropertyDescriptor` | `create(java.lang.String propertyName, java.lang.Class beanClass, java.lang.String displayName, java.lang.String shortDescription, FileSelectionMode selectionMode, java.lang.String[] suffixes, java.lang.String filterName)` Same as `create(String, Class, String, String, FileSelectionMode, String[], String, String)` with `context` set to `null`.
`static FilePropertyDescriptor` | `create(java.lang.String propertyName, java.lang.Class beanClass, java.lang.String displayName, java.lang.String shortDescription, FileSelectionMode selectionMode, java.lang.String[] suffixes, java.lang.String filterName, java.lang.String context)` Create a file property descriptor as with `Install4JPropertyDescriptor.create(String, Class, String, String)` and additional configuration specific to file properties.

Methods inherited from class com.install4j.api.beaninfo.Install4JPropertyDescriptor
`create, create, setContext, setDisplayName, setParentProperty, setPropertyCategory, setPropertyChangeListener, setSortKey, setVisibilityDiscriminator`

Methods inherited from class java.beans.PropertyDescriptor
`createPropertyEditor, equals, getPropertyEditorClass, getPropertyType, getReadMethod, getWriteMethod, hashCode, isBound, isConstrained, setBound, setConstrained, setPropertyEditorClass, setReadMethod, setWriteMethod`

Methods inherited from class java.beans.FeatureDescriptor
`attributeNames, getDisplayName, getName, getShortDescription, getValue, isExpert, isHidden, isPreferred, setExpert, setHidden, setName, setPreferred, setShortDescription, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRIBUTE_SELECTION_MODE

    public static final java.lang.String ATTRIBUTE_SELECTION_MODE

See Also:
  `create(String, Class, String, String, FileSelectionMode, String[], String)`, Constant Field Values

### ATTRIBUTE_SUFFIXES

    public static final java.lang.String ATTRIBUTE_SUFFIXES

See Also:
  `create(String, Class, String, String, FileSelectionMode, String[], String)`, Constant Field Values

### ATTRIBUTE_FILTER_NAME

    public static final java.lang.String ATTRIBUTE_FILTER_NAME

See Also:
  `create(String, Class, String, String, FileSelectionMode, String[], String)`, Constant Field Values

### CONTEXT_EXTERNAL_OR_INTERNAL

    public static final java.lang.String CONTEXT_EXTERNAL_OR_INTERNAL

  Special context for properties of type `com.install4j.api.beansExternalFile` that tells the install4j GUI to offer the user the possibility to select a file from the distribution tree instead. The selected file will then be prepended with `${installer:sys.installationDir}` and will not be packaged separately. In that case, the enclosing action or screen can only be used if the "Install files" action has already run.

  See Also:
    Constant Field Values

Method Detail

### create

    public static FilePropertyDescriptor create(java.lang.String propertyName,
                                                java.lang.Class beanClass,
                                                java.lang.String displayName,
                                                java.lang.String shortDescription,
                                                FileSelectionMode selectionMode)

  Same as `create(String, Class, String, String, FileSelectionMode, String[], String, String)` with `suffixes`, `filterName` and `context` set to `null`.

### create

    public static FilePropertyDescriptor create(java.lang.String propertyName,
                                                java.lang.Class beanClass,
                                                java.lang.String displayName,
                                                java.lang.String shortDescription,
                                                FileSelectionMode selectionMode,
                                                java.lang.String context)

  Same as `create(String, Class, String, String, FileSelectionMode, String[], String, String)` with `suffixes` and `filterName` set to `null`.

### create

    public static FilePropertyDescriptor create(java.lang.String propertyName,
                                                java.lang.Class beanClass,
                                                java.lang.String displayName,
                                                java.lang.String shortDescription,
                                                FileSelectionMode selectionMode,
                                                java.lang.String[] suffixes,
                                                java.lang.String filterName)

  Same as `create(String, Class, String, String, FileSelectionMode, String[], String, String)` with `context` set to `null`.

### create

    public static FilePropertyDescriptor create(java.lang.String propertyName,
                                                java.lang.Class beanClass,
                                                java.lang.String displayName,
                                                java.lang.String shortDescription,
                                                FileSelectionMode selectionMode,
                                                java.lang.String[] suffixes,
                                                java.lang.String filterName,
                                                java.lang.String context)

  Create a file property descriptor as with `Install4JPropertyDescriptor.create(String, Class, String, String)` and additional configuration specific to file properties.

  Parameters:
    `selectionMode` - the file selection mode when the user invokes the file chooser
    `suffixes` - the accepted suffixes in the file chooser
    `filterName` - the filter name in the file chooser
    `context` - the context. The context allows to specify different editors for the same property types. See the `CONTEXT_*` properties for the built-in contexts.
  Returns:
    the property descriptor

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD